import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The eraser button; erases areas of the board indicated by the user
 *
 * @author Annmarie Stanley.
 *         Created Apr 10, 2008.
 */
public class eraserButton extends JButton implements MouseListener,
		ActionListener {

	/** Creates the eraser button */
	@SuppressWarnings("deprecation")
	public eraserButton() {
		super();
		this.setLabel("Eraser");
	}
	
	
	
	public void mouseClicked(MouseEvent e) {
		// Empty

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(9);

	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

	public void actionPerformed(ActionEvent e) {
		// Empty

	}

}
